TechDraw CosmeticVertex

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
English • ‎italiano
Arrow-left.svg Previous: Techdraw-textleader.svg RichTextBlock
Next: Midpoints Techdraw-midpoint.svg Arrow-right.svg

Techdraw-point.svg TechDraw CosmeticVertex

Menu location
TechDraw → CosmeticVertex
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Midpoints, TechDraw Quadrant


Description

The Cosmetic Vertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for Dimensioning.

TechDraw CosmeticVertex Sample.png

Cosmetic Vertex used to create an otherwise impossible Dimension


How to use

  1. Press the Techdraw-mline.svg CosmeticVertex button
  2. A Task dialog will open. The dialog allows selection of the location of the Cosmetic Vertex though the use of a "point picker" or by entering coordinates. The coordinates are the position within the View relative to the View center.
  3. The Pick points button starts a "point picker". Once a location is selected a small circle will appear. The Cosmetic Vertex will be added once the "OK" button is pressed.
  4. To exit the "point picker" without creating a Cosmetic Vertex, press the "Escape picking" button in the dialog.


Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()


Notes

  • This feature was added in v0.19
Arrow-left.svg Previous: Techdraw-textleader.svg RichTextBlock
Next: Midpoints Techdraw-midpoint.svg Arrow-right.svg